For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList tools
      • GETGet tool
      • POSTCreate tool
      • PATCHUpdate tool
      • DELDelete tool
      • GETGet dependent agents
      • GETGet tool executions
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsTools

Update tool

PATCH
/v1/convai/tools/:tool_id
PATCH
/v1/convai/tools/:tool_id
$curl -X PATCH https://api.elevenlabs.io/v1/convai/tools/tool_id \
> -H "Content-Type: application/json" \
> -d '{
> "tool_config": {
> "type": "system",
> "name": "end_call",
> "params": {
> "system_tool_type": "end_call"
> },
> "description": ""
> }
>}'
1{
2 "id": "string",
3 "tool_config": {
4 "type": "system",
5 "name": "end_call",
6 "params": {
7 "system_tool_type": "end_call"
8 },
9 "description": ""
10 },
11 "access_info": {
12 "is_creator": true,
13 "creator_name": "John Doe",
14 "creator_email": "john.doe@example.com",
15 "role": "admin",
16 "access_source": "creator"
17 },
18 "usage_stats": {
19 "avg_latency_secs": 1.1,
20 "total_calls": 0
21 },
22 "response_mocks": [
23 {
24 "mock_result": "string",
25 "parameter_conditions": [
26 {
27 "eval": {
28 "type": "string",
29 "description": "string"
30 },
31 "path": "string"
32 }
33 ]
34 }
35 ]
36}
Update tool that is available in the workspace.
Was this page helpful?
Previous

Delete tool

Next
Built with

Path parameters

tool_idstringRequired
ID of the requested tool.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
tool_configobjectRequired
Configuration for the tool
response_mockslist of objects or nullOptional

Mock responses with optional parameter conditions. Evaluated top-to-bottom; first match wins.

Response

Successful Response
idstring
tool_configobject
The type of tool
access_infoobject
usage_statsobject
response_mockslist of objects or null

Mock responses with optional parameter conditions. Evaluated top-to-bottom; first match wins.

Errors

422
Unprocessable Entity Error